package it.politecnico.model.refrisoprop;

import java.util.ArrayList;
import java.util.List;

public class RefrIsopropertiesExample {
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database table MD_REFR_ISOPROPERTIES
     *
     * @mbggenerated
     */
    protected String orderByClause;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database table MD_REFR_ISOPROPERTIES
     *
     * @mbggenerated
     */
    protected boolean distinct;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database table MD_REFR_ISOPROPERTIES
     *
     * @mbggenerated
     */
    protected List<Criteria> oredCriteria;

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table MD_REFR_ISOPROPERTIES
     *
     * @mbggenerated
     */
    public RefrIsopropertiesExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table MD_REFR_ISOPROPERTIES
     *
     * @mbggenerated
     */
    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table MD_REFR_ISOPROPERTIES
     *
     * @mbggenerated
     */
    public String getOrderByClause() {
        return orderByClause;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table MD_REFR_ISOPROPERTIES
     *
     * @mbggenerated
     */
    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table MD_REFR_ISOPROPERTIES
     *
     * @mbggenerated
     */
    public boolean isDistinct() {
        return distinct;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table MD_REFR_ISOPROPERTIES
     *
     * @mbggenerated
     */
    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table MD_REFR_ISOPROPERTIES
     *
     * @mbggenerated
     */
    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table MD_REFR_ISOPROPERTIES
     *
     * @mbggenerated
     */
    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table MD_REFR_ISOPROPERTIES
     *
     * @mbggenerated
     */
    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table MD_REFR_ISOPROPERTIES
     *
     * @mbggenerated
     */
    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table MD_REFR_ISOPROPERTIES
     *
     * @mbggenerated
     */
    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     * This class was generated by MyBatis Generator.
     * This class corresponds to the database table MD_REFR_ISOPROPERTIES
     *
     * @mbggenerated
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andRefrigerantIdIsNull() {
            addCriterion("REFRIGERANT_ID is null");
            return (Criteria) this;
        }

        public Criteria andRefrigerantIdIsNotNull() {
            addCriterion("REFRIGERANT_ID is not null");
            return (Criteria) this;
        }

        public Criteria andRefrigerantIdEqualTo(String value) {
            addCriterion("REFRIGERANT_ID =", value, "refrigerantId");
            return (Criteria) this;
        }

        public Criteria andRefrigerantIdNotEqualTo(String value) {
            addCriterion("REFRIGERANT_ID <>", value, "refrigerantId");
            return (Criteria) this;
        }

        public Criteria andRefrigerantIdGreaterThan(String value) {
            addCriterion("REFRIGERANT_ID >", value, "refrigerantId");
            return (Criteria) this;
        }

        public Criteria andRefrigerantIdGreaterThanOrEqualTo(String value) {
            addCriterion("REFRIGERANT_ID >=", value, "refrigerantId");
            return (Criteria) this;
        }

        public Criteria andRefrigerantIdLessThan(String value) {
            addCriterion("REFRIGERANT_ID <", value, "refrigerantId");
            return (Criteria) this;
        }

        public Criteria andRefrigerantIdLessThanOrEqualTo(String value) {
            addCriterion("REFRIGERANT_ID <=", value, "refrigerantId");
            return (Criteria) this;
        }

        public Criteria andRefrigerantIdLike(String value) {
            addCriterion("REFRIGERANT_ID like", value, "refrigerantId");
            return (Criteria) this;
        }

        public Criteria andRefrigerantIdNotLike(String value) {
            addCriterion("REFRIGERANT_ID not like", value, "refrigerantId");
            return (Criteria) this;
        }

        public Criteria andRefrigerantIdIn(List<String> values) {
            addCriterion("REFRIGERANT_ID in", values, "refrigerantId");
            return (Criteria) this;
        }

        public Criteria andRefrigerantIdNotIn(List<String> values) {
            addCriterion("REFRIGERANT_ID not in", values, "refrigerantId");
            return (Criteria) this;
        }

        public Criteria andRefrigerantIdBetween(String value1, String value2) {
            addCriterion("REFRIGERANT_ID between", value1, value2, "refrigerantId");
            return (Criteria) this;
        }

        public Criteria andRefrigerantIdNotBetween(String value1, String value2) {
            addCriterion("REFRIGERANT_ID not between", value1, value2, "refrigerantId");
            return (Criteria) this;
        }

        public Criteria andTemperatureIsNull() {
            addCriterion("Temperature is null");
            return (Criteria) this;
        }

        public Criteria andTemperatureIsNotNull() {
            addCriterion("Temperature is not null");
            return (Criteria) this;
        }

        public Criteria andTemperatureEqualTo(Double value) {
            addCriterion("Temperature =", value, "temperature");
            return (Criteria) this;
        }

        public Criteria andTemperatureNotEqualTo(Double value) {
            addCriterion("Temperature <>", value, "temperature");
            return (Criteria) this;
        }

        public Criteria andTemperatureGreaterThan(Double value) {
            addCriterion("Temperature >", value, "temperature");
            return (Criteria) this;
        }

        public Criteria andTemperatureGreaterThanOrEqualTo(Double value) {
            addCriterion("Temperature >=", value, "temperature");
            return (Criteria) this;
        }

        public Criteria andTemperatureLessThan(Double value) {
            addCriterion("Temperature <", value, "temperature");
            return (Criteria) this;
        }

        public Criteria andTemperatureLessThanOrEqualTo(Double value) {
            addCriterion("Temperature <=", value, "temperature");
            return (Criteria) this;
        }

        public Criteria andTemperatureIn(List<Double> values) {
            addCriterion("Temperature in", values, "temperature");
            return (Criteria) this;
        }

        public Criteria andTemperatureNotIn(List<Double> values) {
            addCriterion("Temperature not in", values, "temperature");
            return (Criteria) this;
        }

        public Criteria andTemperatureBetween(Double value1, Double value2) {
            addCriterion("Temperature between", value1, value2, "temperature");
            return (Criteria) this;
        }

        public Criteria andTemperatureNotBetween(Double value1, Double value2) {
            addCriterion("Temperature not between", value1, value2, "temperature");
            return (Criteria) this;
        }

        public Criteria andPressureIsNull() {
            addCriterion("Pressure is null");
            return (Criteria) this;
        }

        public Criteria andPressureIsNotNull() {
            addCriterion("Pressure is not null");
            return (Criteria) this;
        }

        public Criteria andPressureEqualTo(Double value) {
            addCriterion("Pressure =", value, "pressure");
            return (Criteria) this;
        }

        public Criteria andPressureNotEqualTo(Double value) {
            addCriterion("Pressure <>", value, "pressure");
            return (Criteria) this;
        }

        public Criteria andPressureGreaterThan(Double value) {
            addCriterion("Pressure >", value, "pressure");
            return (Criteria) this;
        }

        public Criteria andPressureGreaterThanOrEqualTo(Double value) {
            addCriterion("Pressure >=", value, "pressure");
            return (Criteria) this;
        }

        public Criteria andPressureLessThan(Double value) {
            addCriterion("Pressure <", value, "pressure");
            return (Criteria) this;
        }

        public Criteria andPressureLessThanOrEqualTo(Double value) {
            addCriterion("Pressure <=", value, "pressure");
            return (Criteria) this;
        }

        public Criteria andPressureIn(List<Double> values) {
            addCriterion("Pressure in", values, "pressure");
            return (Criteria) this;
        }

        public Criteria andPressureNotIn(List<Double> values) {
            addCriterion("Pressure not in", values, "pressure");
            return (Criteria) this;
        }

        public Criteria andPressureBetween(Double value1, Double value2) {
            addCriterion("Pressure between", value1, value2, "pressure");
            return (Criteria) this;
        }

        public Criteria andPressureNotBetween(Double value1, Double value2) {
            addCriterion("Pressure not between", value1, value2, "pressure");
            return (Criteria) this;
        }

        public Criteria andDensityIsNull() {
            addCriterion("Density is null");
            return (Criteria) this;
        }

        public Criteria andDensityIsNotNull() {
            addCriterion("Density is not null");
            return (Criteria) this;
        }

        public Criteria andDensityEqualTo(Double value) {
            addCriterion("Density =", value, "density");
            return (Criteria) this;
        }

        public Criteria andDensityNotEqualTo(Double value) {
            addCriterion("Density <>", value, "density");
            return (Criteria) this;
        }

        public Criteria andDensityGreaterThan(Double value) {
            addCriterion("Density >", value, "density");
            return (Criteria) this;
        }

        public Criteria andDensityGreaterThanOrEqualTo(Double value) {
            addCriterion("Density >=", value, "density");
            return (Criteria) this;
        }

        public Criteria andDensityLessThan(Double value) {
            addCriterion("Density <", value, "density");
            return (Criteria) this;
        }

        public Criteria andDensityLessThanOrEqualTo(Double value) {
            addCriterion("Density <=", value, "density");
            return (Criteria) this;
        }

        public Criteria andDensityIn(List<Double> values) {
            addCriterion("Density in", values, "density");
            return (Criteria) this;
        }

        public Criteria andDensityNotIn(List<Double> values) {
            addCriterion("Density not in", values, "density");
            return (Criteria) this;
        }

        public Criteria andDensityBetween(Double value1, Double value2) {
            addCriterion("Density between", value1, value2, "density");
            return (Criteria) this;
        }

        public Criteria andDensityNotBetween(Double value1, Double value2) {
            addCriterion("Density not between", value1, value2, "density");
            return (Criteria) this;
        }

        public Criteria andEnthalpyIsNull() {
            addCriterion("Enthalpy is null");
            return (Criteria) this;
        }

        public Criteria andEnthalpyIsNotNull() {
            addCriterion("Enthalpy is not null");
            return (Criteria) this;
        }

        public Criteria andEnthalpyEqualTo(Double value) {
            addCriterion("Enthalpy =", value, "enthalpy");
            return (Criteria) this;
        }

        public Criteria andEnthalpyNotEqualTo(Double value) {
            addCriterion("Enthalpy <>", value, "enthalpy");
            return (Criteria) this;
        }

        public Criteria andEnthalpyGreaterThan(Double value) {
            addCriterion("Enthalpy >", value, "enthalpy");
            return (Criteria) this;
        }

        public Criteria andEnthalpyGreaterThanOrEqualTo(Double value) {
            addCriterion("Enthalpy >=", value, "enthalpy");
            return (Criteria) this;
        }

        public Criteria andEnthalpyLessThan(Double value) {
            addCriterion("Enthalpy <", value, "enthalpy");
            return (Criteria) this;
        }

        public Criteria andEnthalpyLessThanOrEqualTo(Double value) {
            addCriterion("Enthalpy <=", value, "enthalpy");
            return (Criteria) this;
        }

        public Criteria andEnthalpyIn(List<Double> values) {
            addCriterion("Enthalpy in", values, "enthalpy");
            return (Criteria) this;
        }

        public Criteria andEnthalpyNotIn(List<Double> values) {
            addCriterion("Enthalpy not in", values, "enthalpy");
            return (Criteria) this;
        }

        public Criteria andEnthalpyBetween(Double value1, Double value2) {
            addCriterion("Enthalpy between", value1, value2, "enthalpy");
            return (Criteria) this;
        }

        public Criteria andEnthalpyNotBetween(Double value1, Double value2) {
            addCriterion("Enthalpy not between", value1, value2, "enthalpy");
            return (Criteria) this;
        }

        public Criteria andEntropyIsNull() {
            addCriterion("Entropy is null");
            return (Criteria) this;
        }

        public Criteria andEntropyIsNotNull() {
            addCriterion("Entropy is not null");
            return (Criteria) this;
        }

        public Criteria andEntropyEqualTo(Double value) {
            addCriterion("Entropy =", value, "entropy");
            return (Criteria) this;
        }

        public Criteria andEntropyNotEqualTo(Double value) {
            addCriterion("Entropy <>", value, "entropy");
            return (Criteria) this;
        }

        public Criteria andEntropyGreaterThan(Double value) {
            addCriterion("Entropy >", value, "entropy");
            return (Criteria) this;
        }

        public Criteria andEntropyGreaterThanOrEqualTo(Double value) {
            addCriterion("Entropy >=", value, "entropy");
            return (Criteria) this;
        }

        public Criteria andEntropyLessThan(Double value) {
            addCriterion("Entropy <", value, "entropy");
            return (Criteria) this;
        }

        public Criteria andEntropyLessThanOrEqualTo(Double value) {
            addCriterion("Entropy <=", value, "entropy");
            return (Criteria) this;
        }

        public Criteria andEntropyIn(List<Double> values) {
            addCriterion("Entropy in", values, "entropy");
            return (Criteria) this;
        }

        public Criteria andEntropyNotIn(List<Double> values) {
            addCriterion("Entropy not in", values, "entropy");
            return (Criteria) this;
        }

        public Criteria andEntropyBetween(Double value1, Double value2) {
            addCriterion("Entropy between", value1, value2, "entropy");
            return (Criteria) this;
        }

        public Criteria andEntropyNotBetween(Double value1, Double value2) {
            addCriterion("Entropy not between", value1, value2, "entropy");
            return (Criteria) this;
        }

        public Criteria andRefrigerantIdLikeInsensitive(String value) {
            addCriterion("upper(REFRIGERANT_ID) like", value.toUpperCase(), "refrigerantId");
            return (Criteria) this;
        }
    }

    /**
     * This class was generated by MyBatis Generator.
     * This class corresponds to the database table MD_REFR_ISOPROPERTIES
     *
     * @mbggenerated do_not_delete_during_merge
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
     * This class was generated by MyBatis Generator.
     * This class corresponds to the database table MD_REFR_ISOPROPERTIES
     *
     * @mbggenerated
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}